Bug 138807 - (ChiaLing) cdrecord crashes the driver
cdrecord crashes the driver
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 05:20 EST by Chia-Ling Lee
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:59:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
login as root, cdrecord did not work; script cdrecord.041111; note the end of the file: eject /dev/cdrom1 failed! (26.22 KB, application/x-gzip)
2004-11-11 06:13 EST, Chia-Ling Lee
no flags Details

  None (edit)
Description Chia-Ling Lee 2004-11-11 05:20:49 EST
Description of problem:
cdrecord fails often. It seems like I have to boot into non-gdm
mode in order for cdrecord to work (su -; telinit 3; login; write
CDs - FC3 has 4 of them!; telinit 5). After that, cdrecord cannot
find the driver any more. 

And, cdrecord is not listed as one of the component in Buzilla. 

[ this is not a bug, but I hate the fact that Xcdroast opens when
  I used cdrecord on the command line; can't cdrecord be installed
  on its own? ]

Version-Release number of selected component (if applicable):
cdrecord-2.01.1-0.FC2.1


How reproducible:
Very.

Steps to Reproduce:
1. start xterm
2. cdrecord -v filename
3.
  
Actual results:
cdrecord: No such device or address. Cannot send SCSI cmd via ioctl
repeated over and over then segmentation fault. 

Expected results:
Had always worked before!

Additional info:
dmesg: 

cdrecord: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
sr0: CDROM (ioctl) error, command: Read TOC 00 00 00 00 00 00 00 0c 00
Current sr: sense key Medium Error
Additional sense: Unable to recover table-of-contents
sr0: CDROM (ioctl) error, command: Test Unit Ready 00 00 00 00 00
Current sr: sense key Medium Error
Additional sense: Unable to recover table-of-contents
SCSI error: host 0 id 3 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 3
SCSI error: host 0 id 3 lun 0 return code = 8000002
        Sense class 7, sense error 0, extended sense 3
sr0: CDROM (ioctl) error, command: Test Unit Ready 00 00 00 00 00
Current sr: sense key Medium Error
Additional sense: Unable to recover table-of-contents
sr0: Hmm, seems the drive doesn't support multisession CD's
cdrecord: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
cdrom: This disc doesn't have any tracks I recognize!
scsi0:0:3:0: Attempting to queue an ABORT message
CDB: 0x0 0x0 0x0 0x0 0x0 0x0
scsi0:0:3:0: Command found on device queue
aic7xxx_abort returns 0x2002
scsi0:0:3:0: Attempting to queue an ABORT message
CDB: 0x0 0x0 0x0 0x0 0x0 0x0
scsi0:0:3:0: Command found on device queue
aic7xxx_abort returns 0x2002
scsi0:0:3:0: Attempting to queue an ABORT message
CDB: 0x54 0x1 0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0
scsi0: At time of recovery, card was not paused
>>>>>>>>>>>>>>>>>> Dump Card State Begins <<<<<<<<<<<<<<<<<
scsi0: Dumping Card State while idle, at SEQADDR 0x7
Card was paused
ACCUM = 0x6, SINDEX = 0x37, DINDEX = 0x24, ARG_2 = 0x0
HCNT = 0x0 SCBPTR = 0x0
SCSISIGI[0x0] ERROR[0x0] SCSIBUSL[0x0] LASTPHASE[0x1]
SCSISEQ[0x12] SBLKCTL[0x0] SCSIRATE[0x0] SEQCTL[0x10]
SEQ_FLAGS[0xc0] SSTAT0[0x5] SSTAT1[0xa] SSTAT2[0x0]
SSTAT3[0x0] SIMODE0[0x0] SIMODE1[0xa4] SXFRCTL0[0x80]
DFCNTRL[0x0] DFSTATUS[0x2d]
STACK: 0x0 0x15f 0x18f 0x3
SCB count = 4
Kernel NEXTQSCB = 2
Card NEXTQSCB = 2
QINFIFO entries:
Waiting Queue entries:
Disconnected Queue entries: 0:3
QOUTFIFO entries:
Sequencer Free SCB List: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
Sequencer SCB Info:
  0 SCB_CONTROL[0x44] SCB_SCSIID[0x37] SCB_LUN[0x0] SCB_TAG[0x3]
  1 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  2 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  3 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  4 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  5 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  6 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  7 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  8 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
  9 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
 10 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
 11 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
 12 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
 13 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
 14 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
 15 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff] SCB_TAG[0xff]
Pending list:
  3 SCB_CONTROL[0x40] SCB_SCSIID[0x37] SCB_LUN[0x0]
Kernel Free SCB list: 1 0
Untagged Q(3): 3
DevQ(0:3:0): 0 waiting
 
<<<<<<<<<<<<<<<<< Dump Card State Ends >>>>>>>>>>>>>>>>>>
(scsi0:A:3:0): Device is disconnected, re-queuing SCB
Recovery code sleeping
(scsi0:A:3:0): Abort Message Sent
Recovery code awake
Timer Expired
aic7xxx_abort returns 0x2003
scsi0:0:3:0: Attempting to queue a TARGET RESET message
CDB: 0x0 0x0 0x0 0x0 0x0 0x0
scsi0:0:3:0: Command not found
aic7xxx_dev_reset returns 0x2002
scsi0:0:3:0: Attempting to queue an ABORT message
CDB: 0x0 0x0 0x0 0x0 0x0 0x0
scsi0:0:3:0: Command found on device queue
aic7xxx_abort returns 0x2002
Recovery SCB completes
scsi: Device offlined - not ready after error recovery: host 0 channel
0 id 3 lun 0
scsi: Device offlined - not ready after error recovery: host 0 channel
0 id 3 lun 0
scsi0 (3:0): rejecting I/O to offline device
SCSI error: host 0 id 3 lun 0 return code = 4000000
        Sense class 0, sense error 0, extended sense 0
cdrecord: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
cdrecord: Using deprecated /dev/sg mechanism instead of SG_IO on the
actual device
Comment 1 Chia-Ling Lee 2004-11-11 06:13:18 EST
Created attachment 106485 [details]
login as root, cdrecord did not work; script cdrecord.041111; note the end of the file: eject /dev/cdrom1 failed!

NOTE the end of the file: eject /dev/cdrom1 failed
Comment 2 Harald Hoyer 2004-12-07 12:04:10 EST
try updating the kernel and cdrtools for FC2

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/2/
Comment 3 Harald Hoyer 2005-09-16 09:59:22 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.